Se poate trece la 4.2.1 .
http://blog.iphone-dev.org/